perl-tk (1:804.033-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 03:41:24 +0000

perl-tk (1:804.033-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.

 -- Colin Tuckley <colint@debian.org>  Sun, 03 May 2015 20:39:00 +0100

perl-tk (1:804.032-3) unstable; urgency=medium

  * debian/rules: update target dependencies for parallel builds
    (Closes: #752033).

 -- Colin Tuckley <colint@debian.org>  Thu, 19 Jun 2014 10:10:54 +0100

perl-tk (1:804.032-2) unstable; urgency=medium

  * Fix xft support (Closes: #740207)

 -- Colin Tuckley <colint@debian.org>  Wed, 12 Mar 2014 11:38:54 +0000

perl-tk (1:804.032-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5

 -- Colin Tuckley <colint@debian.org>  Wed, 12 Feb 2014 15:11:56 +0000

perl-tk (1:804.031-1) unstable; urgency=low

  * New Upstream version.
  * Revert directory PNG build-skip (Closes: #710159).
  * Add dpkg buildflags to debian/rules

 -- Colin Tuckley <colint@debian.org>  Mon, 03 Jun 2013 18:02:01 +0100

perl-tk (1:804.030-2) unstable; urgency=low

  * Incorporate patches from Niko Tyni <ntyni@debian.org>
    SvUPGRADE() is no longer an expression.
    Fix MANIFEST.SKIP generation for quilt .pc directory.
    CopSTASHPV isn't an lvalue anymore. (Closes: #708635)
  * Fix Lintian manpage NAME warning.
  * Do not build included versions of libpng and zlib 
    supplied in directory PNG. (Closes: #708624)
  * Add Lintian overrides for warnings about the unused PNG files.
  * Bump Standards-Version to 3.9.4
  * Fix various spelling errors, see 70-spellings.patch

 -- Colin Tuckley <colint@debian.org>  Sat, 18 May 2013 18:01:27 +0100

perl-tk (1:804.030-1) unstable; urgency=low

  * Ack the NMUs
  * New Upstream Release (Closes: #668818)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #670844)
  * Update Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Build depend on libpng-dev instead of libpng12-dev (Closes: #662463)
  * Update outdated "Homepage" field (Closes: #668819)
  * Fix pngsuite licence see bug for details (Closes: #615810)
  * Fix duplicate examples in /usr/share/doc/perl-tk (Closes: #634458)

 -- Colin Tuckley <colint@debian.org>  Thu, 14 Jun 2012 19:13:58 +0100

perl-tk (1:804.029-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjeg-dev instead of libjpeg62-dev (closes: #642087).

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 19:17:58 +0100

perl-tk (1:804.029-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBS, see fix-ftbs.dpatch (Closes: #613188)

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 20 Apr 2011 17:44:03 +0200

perl-tk (1:804.029-1) unstable; urgency=low

  * New Upstream Release (Closes: #578814).
  * Added debian/watch file.

 -- Colin Tuckley <colint@debian.org>  Sun, 30 May 2010 09:19:40 +0100

perl-tk (1:804.028-7) unstable; urgency=low

  * Fix the manpage for Tk::TixGrid (Closes: #557106).
  * Bump standards version to 3.8.4 (no changes required).
  * Fix broken select mask on 64 bit architectures
    using upstream patch (Closes: #574884).

 -- Colin Tuckley <colint@debian.org>  Sat, 10 Apr 2010 12:01:27 +0100

perl-tk (1:804.028-6) unstable; urgency=low

  * Generalise ref to Tk in the long description (Closes: #547192).
  * Use dpatch
  * Fix path to perl in demo examples (Closes: #543663).
  * Bump standards version to 3.8.3 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Tue, 22 Sep 2009 20:07:10 +0100

perl-tk (1:804.028-5) unstable; urgency=low

  * Fix for attaching balloons to items of scrolled widgets
      svn.perl.org/modules/Tk/trunk@12500 (Closes: #246363).

 -- Colin Tuckley <colint@debian.org>  Mon, 15 Jun 2009 21:33:35 +0100

perl-tk (1:804.028-4) unstable; urgency=low

  * Fix incompatibility with XIM bug (upstream patch) (Closes: #518338)
  * Bump standards version to 3.8.1 (no changes required).
  * Make the cut/copy/paste keys case insensitive (Closes: #205895)

 -- Colin Tuckley <colint@debian.org>  Sun, 03 May 2009 17:22:12 +0100

perl-tk (1:804.028-3) unstable; urgency=low

  * Fix Problem with mouse wheel binding (Closes: #516201).
    Apply upstream patch to pTk/mTk/generic/tk.h

 -- Colin Tuckley <colint@debian.org>  Fri, 20 Feb 2009 17:30:25 +0000

perl-tk (1:804.028-2) unstable; urgency=low

  * Bump standards version to 3.8.0 (no changes required).
  * Build-dep on x11proto-core-dev instead of x-dev (Closes: #515448).
  * Fix typo in FBox.pm which breaks file selection dialog box
    (Closes: #510831).
  * Fix order of debhelper commands in debian/rules.

 -- Colin Tuckley <colint@debian.org>  Wed, 18 Feb 2009 19:44:50 +0000

perl-tk (1:804.028-1) unstable; urgency=low

  * New Upstream Release (Closes: #463080).
  * Update to Debhelper v5.
  * Build with XFT=1 (Closes: #411129).

 -- Colin Tuckley <colint@debian.org>  Fri, 15 Feb 2008 13:56:59 +0000

perl-tk (1:804.027-8) unstable; urgency=low

  * Add new co-maintainer (Closes: #401489).
  * Add Homepage field to debian/control.
  * Fix lintian warning for -$(MAKE) distclean.
  * Bump standards version to 3.7.3 (no changes required).
  * Incorporate r9049 & r9441 from svn.perl.org into
    pTk/mTk/tixGeneric/tixHList.c (Closes: #450599).
  * Incorporate r10172 from svn.perl.org into
    encGlue.c (Closes: #451141).

 -- Colin Tuckley <colint@debian.org>  Mon, 10 Dec 2007 10:10:46 +0000

perl-tk (1:804.027-7) unstable; urgency=high

  * Urgency high due to RC bug:
    + debian/rules: Use $(CURDIR) rather than $(PWD) in prefix so files 
      are installed correctly on architectures using sudo rather than 
      fakeroot.   (Thanks to Niko Tyni. Closes: #390382)

 -- Michael C. Schultheiss <schultmc@debian.org>  Sun,  1 Oct 2006 15:14:26 +0000

perl-tk (1:804.027-6) unstable; urgency=low

  * Add additional fix for segfault that occurs when configuring widgets with
    an undefined font (Thanks to Niko Tyni.  Closes: #348513)
  * debian/control: Bump Standards Version

 -- Michael C. Schultheiss <schultmc@debian.org>  Mon, 24 Jul 2006 16:22:52 +0000

perl-tk (1:804.027-5) unstable; urgency=low

  * Add manpage for Tk::TextUndo (Thanks to Colin Tuckley.
    Closes: #34785)
  * Fix gedi, use as an example (Thanks to Colin Tuckley.
    Closes: #270994)
  * Tk::Event::IO - fix semantics (Thanks to Gonzalo Tornaria.
    Closes: #290579)

 -- Michael C. Schultheiss <schultmc@debian.org>  Wed, 31 May 2006 00:32:43 +0000

perl-tk (1:804.027-4) unstable; urgency=low

  * Fix segfault that occurs when configuring widgets with an undefined
    font (Thanks to Niko Tyni.  Closes: #348513)

 -- Michael C. Schultheiss <schultmc@debian.org>  Mon,  6 Feb 2006 18:52:52 +0000

perl-tk (1:804.027-3) unstable; urgency=low

  * debian/control: 
    + Perl-tk now provides Tk:PNG.  Add Provides/Conflicts/Replaces 
      libtk-png-perl.  (Closes: #348910)
    + Add Build-Depends on libpng12-dev, libjpeg62-dev

 -- Michael C. Schultheiss <schultmc@debian.org>  Fri, 20 Jan 2006 01:04:55 +0000

perl-tk (1:804.027-2) unstable; urgency=low

  * Incorporate changes from NMU (Thanks to Steve Kowalik.
    Closes: #348086)
  * debian/control: Update Standards-Version (no changes needed)

 -- Michael C. Schultheiss <schultmc@debian.org>  Mon, 16 Jan 2006 16:54:02 +0000

perl-tk (1:804.027-1.1) unstable; urgency=low

  * Upload to unstable.
  * NMU, with the Release Manager's permission.
  * Replace the Build-Depends on xlibs-dev with libx11-dev, libxft-dev, 
    libxt-dev and x-dev. (Closes: #347035)
  * Add a Provides: libtk-perl, as renaming a package in an NMU is brutal.
  * Apply patch that fixes a crash when run with an app linked against 
    GTK > 2.8. (Closes: #345334)

 -- Steve Kowalik <stevenk@debian.org>  Sun, 15 Jan 2006 03:37:52 +1100

perl-tk (1:804.027-1) experimental; urgency=low

  * Upload to experimental until numerous transitions in unstable 
    complete

  * New upstream release (Closes: #244738, #288100)
  
  * New maintainer (Closes: #279823)
    + debian/control: Change maintainer address

  * Remove unneeded fix_4_os2.pl (Closes: #295225)

 -- Michael C. Schultheiss <schultmc@debian.org>  Tue, 30 Aug 2005 19:26:40 +0000

perl-tk (1:800.025-2) unstable; urgency=low

  * Add xlibs-dev to Build-Depends:,
  Closes: #237942

 -- Stephen Zander <gibreel@debian.org>  Sun, 14 Mar 2004 13:54:44 -0800

perl-tk (1:800.025-1) unstable; urgency=low

  * New upstream release
  * Provide rudimetary conversion of pod files to HTML,
  Closes: #27151
  * Add missing SYNOPSIS heading to TK::Compound man page,
  Closes: #109335
  * Tk::Event::IO no longer makes use for carp,
  Closes: #148631
  * Correct the interpreter path for all examples,
  Closes: #153248
  * Merge NMU changes,
  Closes: #158054, #222419, #222645

 -- Stephen Zander <gibreel@debian.org>  Sun, 14 Mar 2004 01:38:55 -0800

perl-tk (1:800.024-1.2) unstable; urgency=low

  * Zero-day NMU from the Minneapolis BSP.
  * Fix Tk::MMutil to generate pod2man command line 
    with proper -- location (closes: #222645).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Dec 2003 15:57:53 -0600

perl-tk (1:800.024-1.1) unstable; urgency=low

  * NMU for perl 5.8 transition. Added build-dep on perl >= 5.8.
  * Since I added a build-dep line, I have to make it complete, so added to
    it: tk8.0-dev, tetex-bin, debhelper

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Aug 2002 12:46:53 -0400

perl-tk (1:800.024-1) unstable; urgency=low

  * New upstream version:
  * 	allows ballons to be associated with menu entries,
  Closes: #34786
  * 	fixes Tk::Compound man page,
  Closes: #109335
  * 	includes <time.h> in pTk/mTk/generic/tkCanvPs.c to prevent segfaults in
    	64bit systems,
  Closes: #126129
  * 	no longer ignores the -initialdir parameter in getOpenFile
  Closes: #132762

 -- Stephen Zander <gibreel@debian.org>  Wed, 20 Mar 2002 00:50:05 -0800

perl-tk (1:800.023-1) unstable; urgency=low

  * New upstream version, Closes: #103079
  * Updated for policy 3.5.1 and the new perl packaging policy, Closes: #80722
  * Fixed a type in Scrolled.pod, Closes: #71408
  * Fixed missing man page symlinks, Closes: #99563
  * Cleaned up build process, Closes: #76072

 -- Stephen Zander <gibreel@debian.org>  Mon, 10 Sep 2001 12:14:30 -0700

perl-tk (1:800.022-1.1) unstable; urgency=low

  * NMU with permission of Stephen Zander <gibreel@debian.org>.
  * Built on a recent unstable system. (closes: #80722)
  * Remove the .packlist file.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  1 Jul 2001 10:24:56 +0200

perl-tk (1:800.022-1) unstable; urgency=low

  * New upstream version

 -- Stephen Zander <gibreel@debian.org>  Sun, 21 May 2000 02:56:16 -0700

perl-tk (1:800.020-1) unstable; urgency=low

  * New upstream version.
  * Removed dependency on xfonts-{75dpi,100dpi}, closes: #41433
  * Fixed path to perl in examples, closes: #59341
  * No longer segfaults using smtm, closes: #55395
  * No longer segfaults using explain, closes: #34212

 -- Stephen Zander <gibreel@debian.org>  Wed, 12 Apr 2000 01:02:08 -0700

perl-tk (1:800.015-1) unstable; urgency=low

  * New upstream version.
  * Real package not an NMU :)
  * Fixed problems with BrowseEntry, Closes: #43669
  * Fixed problems with Scrolled meta-widget, Closes: #35437
  * Moved various demos from /usr/lib/perl5/... to examples directory.

 -- Stephen Zander <gibreel@debian.org>  Sat,  6 Nov 1999 02:44:39 -0800

perl-tk (1:800.014-1.1) unstable; urgency=low

  * Another NMU for correcting one of my mystakes.
  * Created the demos dir before copying data into it.
    Closes: #40786

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri,  9 Jul 1999 13:42:19 +0200

perl-tk (1:800.014-1) unstable; urgency=low

  * NMU.
  * New maintainer : Stephen Zander (he forgot to change the
    maintainer field).
    will be the next (real) maintainer.
  * Compiled with perl-5.005. Follow the new perl policy.
  * Converted to debhelper.
  * New upstream version.
  * Looking at bugs :
    #11409 : Tk.pm can export the constants DONT_WAIT, IDLE_EVENTS, ...
    #15058 : 3DBorder.2 does no more exist.
    #15271 : upload of a corrupted file that does no more exist.
    #17116 : demos files are present twice. Corrected.
    #19184 : moves the xpm files, don't see the need for that, it may
             only break demos scripts using those files
    #19751 : the same as 19184
    #25927 : cannot reproduce with the latest perl-tk (>= 1:800)
    #27151 : building the html docs ? Which one ? I can't find any ...
    #29960 : @INC problem because he used perl-5.005 manually installed ...
    #31881 : some fonts are needed, added the dependency
    #32452 : WidgetDemo.pm is not in the right place. Corrected.
    #32832 : bad documentation already corrected / disabled Replace in ptked
    #34212 : bug in perl-tk or in the explain perl-tk script ?
    #34784 : both work on my system.
    #34785 : non-documented method need to be documented. Not done.
    	     Severity set to wishlist.
    #34786 : Proposed enhancement. Severity set to wishlist.
    #34788 : Error in the doc of Tk::TextUndo. Corrected.
    #35437 : Problem with scrolled widget. Must look further and do some
             tries. Severity set to normal.
    #35515 : s/configspec/ConfigSpec/ in the pod dir
    #39394 : added some dependencies (automatic shlibs stuff) 
  * Those bugs will be closed :
    Closes: #11409, #15058, #15271, #17116, #19184, #19751, #25927, #29960
    Closes: #31881, #32452, #32832, #34784, #34788, #35515, #39394
  * The other bugs will need a little more work. And what has already 
    been corrected will need to be forwarded upstream (look at the changes
    in the .diff.gz file).
    
 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri,  2 Jul 1999 18:57:10 +0200

perl-tk (1:800.011-1) unstable; urgency=low

  * New maintainer.
  * New upstream source.

 -- Stephen Zander <gibreel@debian.org>  Fri, 18 Sep 1998 08:08:08 -0700

perl-tk (1:400.202-9) unstable; urgency=low

  * Recompiled against perl with new modification that should make us
    immune to perl maintenance releases.  Changed Depends accordingly.

 -- Rob Browning <rlb@cs.utexas.edu>  Tue,  9 Dec 1997 21:35:49 -0600

perl-tk (1:400.202-8) unstable; urgency=low

  * Removed dependency on wish.  Convinced by mail from others and code
    perusal that this is probably correct.  Time will tell.
  * switched to pristine upstream source

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 28 Nov 1997 15:20:26 -0600

perl-tk (1:400.202-7) unstable; urgency=low

  * Re-upload to fix corrupted version on master.

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 27 Nov 1997 14:44:13 -0600

perl-tk (1:400.202-6) unstable; urgency=low

  * Compiled against new Tk package (8.0)
  * compiled against libc6
  * Changed dependency to wish (hope that's right)...

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 21 Nov 1997 00:05:25 -0600

perl-tk (1:400.202-5) unstable; urgency=low

  * Fixed html documentation files (index missing, etc.)

 -- Rob Browning <rlb@cs.utexas.edu>  Mon, 20 Oct 1997 23:25:52 -0500

perl-tk (1:400.202-4) unstable; urgency=low

  * Recompiled with xlib6g.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed,  10 Sep 1997 23:40:53 -0500

perl-tk (1:400.202-3) unstable; urgency=low

  * Recompiled to support perl 5004.
  * Changed maintainer address
  * added demos to /usr/doc/perl-tk/examples

 -- Rob Browning <rlb@cs.utexas.edu>  Fri,  8 Aug 1997 13:14:09 -0500

perl-tk (1:400.202-2) unstable; urgency=low

  * Recompiled to support perl 5004.
  * Changed maintainer address
  * added demos to /usr/doc/perl-tk/examples

 -- Rob Browning <rlb@cs.utexas.edu>  Fri,  8 Aug 1997 13:14:09 -0500

perl-tk (1:400.202-2) unstable; urgency=low

  * Merged arg checking patch for pgs from b11.02 

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 12 Apr 1997 12:15:34 -0500

perl-tk (1:400.202-1) unstable; urgency=low

  * new upstream version
  * removed deb-make dependency

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 12 Apr 1997 01:21:47 -0500

perl-tk (b11.02-5) unstable; urgency=low

  * previous version uploaded without diff.
  * changed section in control file to devel from unknown

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 18 Dec 1996 02:09:36 -0600

perl-tk (b11.02-4) unstable; urgency=low

  * conversion to new package format
  * switched to debmake (fixed Bug#5140 (unstripped shared libs))
  * fixed Bug#5410 (wasn't compatible with latest perl)
  * fixed Bug#4068 (added usage message to pgs)
  * fixed Bug#5991 (added manpage link for perl-tk)

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 15 Dec 1996 12:07:59 -0600

perl-tk (b11.02-3) unstable; urgency=low

  * rebuilt with perl-5.003 -- had new module format.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 13 Dec 1996 01:31:40 -0600

perl-tk (b11.02-2) unstable; urgency=low

  * fixed location of perl in tkweb (Bug#3120)

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 13 Dec 1996 01:31:28 -0600

perl-tk (b11.02-1) unstable; urgency=low

  * Initial conversion to new package standards.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 13 Dec 1996 01:30:37 -0600
